Update not possible, keyring errors

hi there, not really sure what my problem is here, whenever i try to update, I need to import manually a lot of keys, then afterwards i get these messages…:


zdata: signature from "Andreas Radke <andyrtr@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/tzdata-2022b-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: iana-etc: signature from "Jelle van der Waa <jelle@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/iana-etc-20220603-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: filesystem: signature from "Philip Müller (Called Little) <philm@manjaro.org>" is unknown trust
:: File /var/cache/pacman/pkg/filesystem-2022.06.08-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package

what am i doing wrong? Thank you!! :slight_smile:

2 Likes

Thank you, I tried all this on that page before I wrote:
the steps in the mentioned link " 1. Remove old (and possibly broken) keys by entering this command:"

and it did not change my keyring problem…

when i try to update i get:

:: Proceed with installation? [Y/n] y
(4/4) checking keys in keyring [######################] 100%
warning: Public keyring not found; have you run ‘pacman-key --init’?
downloading required keys…
error: keyring is not writable
error: keyring is not writable
error: keyring is not writable
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

:: Starting full system upgrade…
:: Replace crda with core/wireless-regdb? [Y/n]

and when i try to initialise the keys i get:

sudo pacman-key --init
[sudo] password for kalimerox:
==> Generating pacman master key. This may take some time.
gpg: Generating pacman keyring master key…
gpg: key 3DBA221CD6CA3DB0 marked as ultimately trusted
gpg: revocation certificate stored as ‘/etc/pacman.d/gnupg/openpgp-revocs.d/0143C892CC022D51A1DE9F423DBA221CD6CA3DB0.rev’
gpg: Done
==> Updating trust database…
gpg: public key of ultimately trusted key EFB679F9D6CCB381 not found
gpg: marginals needed: 3 completes needed: 1 trust model: pgp
gpg: depth: 0 valid: 2 signed: 0 trust: 0-, 0q, 0n, 0m, 0f, 2u
==> ERROR: Trust database could not be updated.

hey, can you let me know how far down that process you got? did you follow everything all the way down to step 7?

yes, I did it all, though i got on the first step:

sudo rm -r /etc/pacman.d/gnupg

rm: cannot remove ‘/etc/pacman.d/gnupg/S.gpg-agent.ssh’: No such file or directory
rm: cannot remove ‘/etc/pacman.d/gnupg/S.gpg-agent.browser’: No such file or directory

and on the second step i get:

mkdir -pv $HOME/.cache/pkg/ && sudo pacman -Syw archlinux-keyring manjaro-keyring --cachedir $HOME/.cache/pkg/
:: Synchronising package databases…
core is up to date
extra is up to date
community 7,1 MiB 2,31 MiB/s 00:03 [######################] 100%
multilib is up to date
resolving dependencies…

Packages (2) archlinux-keyring-20220727-1 manjaro-keyring-20220514-2

Total Download Size: 0,00 MiB

:: Proceed with download? [Y/n] y
(2/2) checking keys in keyring [######################] 100%
downloading required keys…
:: Import PGP key 150C200743ED46D8, “Mark Wagie mark@manjaro.org”? [Y/n] y
:: Import PGP key 6D42BDD116E0068F, “Christian Hesse eworm@archlinux.org”? [Y/n] y
(2/2) checking package integrity [######################] 100%
error: manjaro-keyring: signature from “Mark Wagie mark@manjaro.org” is unknown trust
:: File /var/cache/pacman/pkg/manjaro-keyring-20220514-2-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: archlinux-keyring: signature from “Christian Hesse eworm@archlinux.org” is unknown trust
:: File /var/cache/pacman/pkg/archlinux-keyring-20220727-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

so if none of the commands worked try this:
open /etc/pacman.conf
and edit this line:
SigLevel = Required DatabaseOptional - its on the 45 line
to look like this:
SigLevel = Optional TrustAll
save it and run update again

3 Likes
wget https://ftp.icm.edu.pl/pub/Linux/dist/manjaro/stable/core/x86_64/{archlinux-keyring-20220727-1,manjaro-keyring-20220514-2}-any.pkg.tar.zst && sudo pacman -U {archlinux-keyring-20220727-1,manjaro-keyring-20220514-2}-any.pkg.tar.zst

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.